--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: A QueueRing is implemented as an array with elements in the form [chan, [message1, message2, ...] Note that the channel <tt>chan</tt> has no actual bearing with the channels to which messages will be sent
full_name: Irc::QueueRing::new
is_singleton: true
name: new
params: ()
visibility: public
